<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Dokumente;


class DokumenteGruppiertView extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Dokumente\DokumenteGruppiertView
{
  public function getTemplatePathRelative()
  {
    return 'firma/kursuebersicht/detailsreiter/dokumente_gruppiert.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return array_map(function($datDoc) {
      $datDoc->belegId = $this->viewModel->belegId;

      return $datDoc;
    }, parent::getBodyDataModulArray());
  }

  protected function getDefaultDataModulArray()
  {
    return array_map(function($kurs) {
      $kurs->belegId = $this->viewModel->belegId;

      return $kurs;
    }, parent::getDefaultDataModulArray());
  }

  protected function createVariableAssignments(): array
  {
    return array_merge(parent::createVariableAssignments(), array(
      'belegId' => $this->viewModel->belegId
    ));
  }
}